Opencart 3x Warning: require_once Hatası ve Çözümü

 Opencart 3x Warning: require_once Hatası ve Çözümü

Vqmod’un OpenCart 3.x’e yüklenmesi durumunda __DIR__ yanlış klasörü döndürür. Ve ekranda bir hata kodu çıkar.

Hata kodu aşağıdaki gibidir.

Warning: require_once (/home/x/public_html/vqmod/vqcache/vendor/autoload.php): failed to open stream: No such file or directory in /home/xxxxx/public_html/vqmod/vqcache/vq2-system_library_facebookcommonutils.php on line 8

Yukarıdaki gibi bir hata kodu aldığınızda

/system/library/facebookcommonutils.php dosyasında

BUL:

require_once __DIR__ . ‘/vendor/autoload.php’;

DEĞİŞTİR:

require_once DIR_SYSTEM . library/vendor/autoload.php’;

değişiklikten sonra hata giderilicektir.

Related post